# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.77.0"
name = "eternaltwin_cli"
version = "0.14.2"
authors = ["Charles Samborski <demurgos@demurgos.net>"]
description = "Command Line Interface for Eternaltwin"
homepage = "https://gitlab.com/eternaltwin/eternaltwin"
documentation = "https://gitlab.com/eternaltwin/eternaltwin"
readme = "./README.md"
keywords = ["etwin"]
license = "AGPL-3.0-or-later"
repository = "https://gitlab.com/eternaltwin/eternaltwin"

[dependencies.axum]
version = "0.7.4"

[dependencies.clap]
version = "4.1.8"
features = ["derive"]

[dependencies.console]
version = "0.15.5"

[dependencies.dialoguer]
version = "0.10.3"

[dependencies.eternaltwin_app]
version = "0.14.2"
optional = true

[dependencies.eternaltwin_auth_store]
version = "0.14.2"

[dependencies.eternaltwin_config]
version = "0.14.2"

[dependencies.eternaltwin_core]
version = "0.14.2"

[dependencies.eternaltwin_db_schema]
version = "0.14.2"

[dependencies.eternaltwin_dinoparc_store]
version = "0.14.2"

[dependencies.eternaltwin_email_formatter]
version = "0.14.2"

[dependencies.eternaltwin_forum_store]
version = "0.14.2"

[dependencies.eternaltwin_hammerfest_store]
version = "0.14.2"

[dependencies.eternaltwin_job_store]
version = "0.14.2"
features = ["mem"]

[dependencies.eternaltwin_link_store]
version = "0.14.2"

[dependencies.eternaltwin_log]
version = "0.14.2"

[dependencies.eternaltwin_mailer]
version = "0.14.2"

[dependencies.eternaltwin_mt_dns]
version = "0.14.2"

[dependencies.eternaltwin_oauth_client]
version = "0.14.2"

[dependencies.eternaltwin_oauth_provider_store]
version = "0.14.2"

[dependencies.eternaltwin_password]
version = "0.14.2"
features = ["neon"]

[dependencies.eternaltwin_rest]
version = "0.14.2"

[dependencies.eternaltwin_services]
version = "0.14.2"

[dependencies.eternaltwin_system]
version = "0.14.2"

[dependencies.eternaltwin_token_store]
version = "0.14.2"

[dependencies.eternaltwin_twinoid_store]
version = "0.14.2"

[dependencies.eternaltwin_user_store]
version = "0.14.2"

[dependencies.futures-util]
version = "0.3.29"

[dependencies.opentelemetry]
version = "0.22.0"
features = ["trace"]

[dependencies.opentelemetry-otlp]
version = "0.15.0"

[dependencies.opentelemetry-semantic-conventions]
version = "0.14.0"

[dependencies.opentelemetry-stdout]
version = "0.3.0"
features = [
    "trace",
    "logs",
]

[dependencies.opentelemetry_sdk]
version = "0.22.1"

[dependencies.serde]
version = "1.0.155"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.108"

[dependencies.sqlx]
version = "0.7.4"
features = [
    "postgres",
    "runtime-tokio-rustls",
]
default-features = false

[dependencies.thiserror]
version = "1.0.39"

[dependencies.tokio]
version = "1.26.0"
features = ["full"]

[dependencies.tower]
version = "0.4.13"

[dependencies.url]
version = "2.3.1"

[features]
default = ["start"]
start = ["dep:eternaltwin_app"]
